﻿using C1.WPF.Grid;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FocusCell
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            for (int i = 0; i < 4; i++)
            {
                grid.Columns.Add(new GridColumn());
            }
            for (int i = 0; i < 20; i++)
            {
                grid.Rows.Add(new GridRow());
            }

            // populate the unbound grid with some index
            for (int r = 0; r < grid.Rows.Count; r++)
            {
                for (int c = 0; c < grid.Columns.Count; c++)
                {
                    grid[r, c] = string.Format("[{0},{1}]", r, c);
                }
            }
            grid.ColumnHeaders[0, 0] = "Column 1";
            grid.ColumnHeaders[0, 1] = "Column 2";
            grid.ColumnHeaders[0, 2] = "Column 3";
            grid.ColumnHeaders[0, 3] = "Column 4";

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            grid.Focus();
            grid.Select(0, 0, true);
            grid.SetCursor(grid.Selection.Row, grid.Selection.Column);
        }
    }
}